aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/jenkins
diff options
context:
space:
mode:
Diffstat (limited to 'tools/jenkins')
-rwxr-xr-xtools/jenkins/run_distribution.sh13
-rwxr-xr-xtools/jenkins/run_jenkins.sh15
2 files changed, 19 insertions, 9 deletions
diff --git a/tools/jenkins/run_distribution.sh b/tools/jenkins/run_distribution.sh
index e5281adcf4..49b7d306d1 100755
--- a/tools/jenkins/run_distribution.sh
+++ b/tools/jenkins/run_distribution.sh
@@ -32,6 +32,8 @@
# linuxbrew installation of a selected language
set -ex
+# Our homebrew installation script command, per language
+# Can be used in both linux and macos
if [ "$language" == "core" ]; then
command="curl -fsSL https://goo.gl/getgrpc | bash -"
elif [[ "python nodejs ruby php" =~ "$language" ]]; then
@@ -66,6 +68,7 @@ if [ "$platform" == "linux" ]; then
elif [ "$platform" == "macos" ]; then
if [ "$dist_channel" == "homebrew" ]; then
+
echo "Formulas installed by system-wide homebrew (before)"
brew list -l
@@ -93,11 +96,12 @@ elif [ "$platform" == "macos" ]; then
*nodejs*)
export PATH=$HOME/.nvm/versions/node/v0.12.7/bin:$PATH
;;
+ *ruby*)
+ export PATH=/usr/local/rvm/rubies/ruby-2.2.1/bin:$PATH
+ ;;
*php*)
export CFLAGS="-Wno-parentheses-equality"
;;
- *)
- ;;
esac
# Run our homebrew installation script
@@ -105,7 +109,6 @@ elif [ "$platform" == "macos" ]; then
# Uninstall / clean up per-language modules/extensions after the test
case $language in
- *core*) ;;
*python*)
deactivate
rm -rf jenkins_python_venv
@@ -121,10 +124,6 @@ elif [ "$platform" == "macos" ]; then
*php*)
rm grpc.so
;;
- *)
- echo "Unsupported language $language"
- exit 1
- ;;
esac
# Clean up
diff --git a/tools/jenkins/run_jenkins.sh b/tools/jenkins/run_jenkins.sh
index 56f9e82ca5..93cf82d260 100755
--- a/tools/jenkins/run_jenkins.sh
+++ b/tools/jenkins/run_jenkins.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
# Copyright 2015, Google Inc.
# All rights reserved.
#
@@ -31,6 +31,8 @@
# This script is invoked by Jenkins and triggers a test run based on
# env variable settings.
#
+# Bootstrap into bash
+[ -z $1 ] && exec bash $0 bootstrapped
# Setting up rvm environment BEFORE we set -ex.
[[ -s /etc/profile.d/rvm.sh ]] && . /etc/profile.d/rvm.sh
# To prevent cygwin bash complaining about empty lines ending with \r
@@ -90,7 +92,9 @@ then
docker cp $DOCKER_CID:/var/local/git/grpc/report.xml $git_root
sleep 4
docker rm $DOCKER_CID || true
-
+elif [ "$platform" == "interop" ]
+then
+ python tools/run_tests/run_interops.py --language=$language
elif [ "$platform" == "windows" ]
then
echo "building $language on Windows"
@@ -103,11 +107,18 @@ then
/cygdrive/c/nuget/nuget.exe restore src/csharp/Grpc.sln
python tools/run_tests/run_tests.py -t -l $language -x report.xml || true
+
elif [ "$platform" == "macos" ]
then
echo "building $language on MacOS"
./tools/run_tests/run_tests.py -t -l $language -c $config -x report.xml || true
+
+elif [ "$platform" == "freebsd" ]
+then
+ echo "building $language on FreeBSD"
+
+ MAKE=gmake ./tools/run_tests/run_tests.py -t -l $language -c $config -x report.xml || true
else
echo "Unknown platform $platform"
exit 1